import java.io.*;

public class TestFileStream {
  public static void main(String[] args) throws IOException {
    try (
      // Tworzenie strumienia wyjściowego na podstawie pliku
      FileOutputStream output = new FileOutputStream("temp.dat");
    ) {
      // Zapis wartości w pliku
      for (int i = 1; i <= 10; i++)
        output.write(i);
    }

    try (
      // Tworzenie strumienia wejściowego na podstawie pliku
      FileInputStream input = new FileInputStream("temp.dat");
    ) {
      // Odczyt wartości z pliku
      int value;
      while ((value = input.read()) != -1)
        System.out.print(value + " ");
    }
  }
}
